- Create employment for employee
Add worklogs for an employment within a date range
List periods
List employment groups
List salary categories
List employees
Create employee
Get employee
Update employee
List employee's employments
Update employment for employee
Get holiday summary for employment
List salary rows for an employment
Create salary row for an employment
Update salary row for an employment
List price list rows for an employment
Create price list row for an employment
Update price list row for an employment
Create employment for emp...
Security
OAuth2Sandbox
Status of the employment:
activeleave_of_absenceparental_leavestudy_leavecontractended
Enum:"active""leave_of_absence""parental_leave""study_leave""contract""ended"
Example:"active"
Date from which employment calculations begin.
Example:"2022-01-01"
Reason for ending the employment:
resignedotherpersonal_reasoneconomic_reasonmutual_agreementretirementfixed_term_ended
Enum:"resigned""other""personal_reason""economic_reason""mutual_agreement""retirement""fixed_term_ended"
Example:"other"
Working-hours type of the employment:
full_timepart_timeother
Enum:"full_time""part_time""other"
Example:"full_time"
Percentage of full-time working hours for part-time employment. Must be between 0.00 and 100.00, inclusive, with exactly two decimal places.
Example:"60.00"
Type of the employment contract:
permanentfixed_term
Enum:"permanent""fixed_term"
Example:"permanent"
Incomes Register's Classification of Occupations (TK10). See: https://stat.fi/en/luokitukset/ammatti/ammatti_17_20210101
Example:"33390"
Description of the profession.
Example:"verkostoituja"
Payment type of the employment:
monthly_wagehourly_wagepiecework
Enum:"monthly_wage""hourly_wage""piecework"
Example:"monthly_wage"
Pension insurance type. Set automatically based on new employment settings.
tyelyelmyelnonetyel_partial_ownerother
Enum:"tyel""yel""myel""none""tyel_partial_owner""other"
Example:"tyel"
Insurance exception type (§1.57 InsuranceExceptionCode):
1No obligation to provide insurance (earnings-related pension, health, unemployment or accident and occupational disease insurance)2No obligation to provide insurance (health insurance)3No obligation to provide insurance (earnings-related pension insurance)4No obligation to provide insurance (accident and occupational disease insurance)5No obligation to provide insurance (unemployment insurance)6Not subject to Finnish social security (earnings-related pension, health, unemployment or accident and occupational disease insurance)7Not subject to Finnish social security (earnings-related pension insurance)8Not subject to Finnish social security (accident and occupational disease insurance)9Not subject to Finnish social security (unemployment insurance)10Not subject to Finnish social security (health insurance)11Voluntary insurance in Finland (earnings-related pension insurance)
Example:
[ 1 ]
Additional information about the income earner:
1Employed with assistance2Joint owner with payer3Partial owner4Key employee6Frontier worker7Working abroad8Athlete9Performing artist11Net of tax employment12Organisation13Road ferry (Åland)14Self-employed, no YEL/MYEL15Diplomatic payment17Light entrepreneur, no BID
Items Enum:123467891112
Example:
[ 4 ]
- Sandboxhttps://api.<slug>.isv-test.fennoa.com/v2/payroll/employees/{id}/employments
curl -i -X POST \
'https://api.<slug>.isv-test.fennoa.com/v2/payroll/employees/{id}/employments' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"employment_group_id": 1,
"employment_status": "active",
"start_date": "2022-01-01",
"calc_start_date": "2022-01-01",
"end_date": "2022-12-31",
"end_reason": "other",
"working_hours_type": "full_time",
"part_time_percentage": "60.00",
"contract_type": "permanent",
"profession_code": "33390",
"profession_description": "verkostoituja",
"payment_type": "monthly_wage",
"pension_insurance_type": "tyel",
"insurance_exception_type_ids": [
1
],
"income_earner_additional_info_ids": [
4
]
}'Response
{ "data": { "id": 1, "employment_group_id": 5, "employment_status": "active", "start_date": "2022-01-01", "calc_start_date": null, "end_date": "2022-12-31", "end_reason": "other", "working_hours_type": "full_time", "part_time_percentage": null, "contract_type": "permanent", "profession_code": "33390", "profession_description": "verkostoituja", "payment_type": "monthly_wage", "pension_insurance_type": "tyel", "insurance_exception_type_ids": [ … ], "income_earner_additional_info_ids": [ … ] } }